# $Revision: 1.9 $, $Date: 2007-12-27 00:24:45 $
Summary:	Liblazy - D-Bus methods provided for convenience
Summary(pl.UTF-8):	liblazy - metody D-Bus dla wygody
Name:		liblazy
Version:	0.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://people.freedesktop.org/~homac/liblazy/%{name}-%{version}.tar.bz2
# Source0-md5:	d1a91efd155dcd1467c2768447d01e42
URL:		http://freedesktop.org/wiki/Software_2fliblazy
BuildRequires:	dbus-devel >= 1.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Liblazy is a simple and easy to use library that provides convenient
functions for sending messages over the D-Bus daemon, querying
information from HAL or asking PolicyKit for a privilege. Its features
may grow as needed, though.

%description -l pl.UTF-8
liblazy to prosta i łatwa w użyciu biblioteka udostępniająca wygodne
funkcje do wysyłania komunikatów poprzez demona D-Bus, kolejkowania
informacji z HAL-a lub odpytywania PolicyKit o uprawnienia. Możliwości
biblioteki mogą jednak rosnąć w razie potrzeby.

%package devel
Summary:	Header files for liblazy
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liblazy
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel >= 1.0

%description devel
Header files for liblazy.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki liblazy.

%package static
Summary:	Static liblazy library
Summary(pl.UTF-8):	Statyczna bibliotekia liblazy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liblazy library.

%description static -l pl.UTF-8
Statyczna biblioteka liblazy.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/*.la
%{_includedir}/liblazy.h
%{_pkgconfigdir}/lazy.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblazy.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: liblazy.spec,v $
Revision 1.9  2007-12-27 00:24:45  zbyniu
- up to 0.2

Revision 1.8  2007-05-27 12:19:38  wolf
- cosmetics

Revision 1.7  2007/05/17 20:24:29  qboosh
- License is LGPL
- BR: pkgconfig
- -devel R: dbus-devel

Revision 1.6  2007/04/23 10:46:30  arekm
- rel 2

Revision 1.5  2007/04/05 22:32:10  shadzik
- build static library too

Revision 1.4  2007/04/05 22:25:41  shadzik
- BR dbus-devel >= 1.0

Revision 1.3  2007/04/05 14:19:29  qboosh
- pl

Revision 1.2  2007/04/04 21:23:50  rotom
- mv lazy.pc to *-devel

Revision 1.1  2007/04/04 21:16:48  rotom
- initial
